Skip to main content
`Ctrl`+`K`

# DMStagGetEntriesPerElement

get number of entries per element in the local representation

## Synopsis

    #include "petscdmstag.h"
    #include "petscdmproduct.h"
    PetscErrorCode DMStagGetEntriesPerElement(DM dm, PetscInt *entriesPerElement)

Not Collective

## Input Parameter

- dm - the `DMSTAG` object

## Output Parameter

- entriesPerElement - number of entries associated with each element in the local representation

## Notes

This is the natural block size for most local operations. In 1D it is equal to `dof0` \(+\) `dof1`, in 2D it is equal to `dof0` \(+ 2\)`dof1` \(+\) `dof2`, and in 3D it is equal to `dof0` \(+ 3\)`dof1` \(+ 3\)`dof2` \(+\) `dof3`

## See Also

DMSTAG: Staggered, Structured Grid, `DMSTAG`, `DMStagGetDOF()`

## Level

developer

## Location

src/dm/impls/stag/stagutils.c

Index of all DMStag routines
Table of Contents for all manual pages
Index of all manual pages